%global debug_package %{nil}

%global forgeurl0 https://gitlab.com/ldutils-projects/zombietrackergps
%global forgeurl1 https://gitlab.com/ldutils-projects/ldutils

Version: 1.10

%global tag0 v_%{version}
%global tag1 v_%{version}

# Process all of them at once
%forgemeta -a

Name: zombietrackergps
Release: 2%{?dist}
Summary: GPS track manager using Qt and KDE Marble maps
License: GPL
URL: %{forgeurl0}
Source0: %{forgesource0}
Source1: %{forgesource1}
# Fix compilation error in GeoPainter.h
%if 0%{?mageia} < 9
Source2: GeoPainter.h 
%endif
Patch0: zombietracker-rccfix.patch
BuildRequires: make
%if 0%{?fedora}
BuildRequires: marble-widget-qt5-devel
%endif
%if 0%{?mageia}
BuildRequires: marble-devel
%endif
BuildRequires: pkgconfig(Qt5Charts)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: libstdc++-devel
BuildRequires: glibc-devel
BuildRequires: libgcc

%description
ZombieTrackerGPS is a GPS track manager for KDE.  It can import several
standard GPS formats such as GPX, TCX, and KML, and provides sophisticated
query and filtering abilities, a customizable user interface, and integration
with the KDE Marble Map for use with OpenStreetMap or other map providers.  It
is designed for outdoor sports and recreation activities such as bicycling,
hiking, snowboarding, light aircraft, etc, and includes custom icons for many
popular outdoor activities.

%prep
%forgesetup -a

cd ../zombietrackergps-v_%{version}
%patch0 -p1
cd -

%build
%{qmake_qt5} -o Makefile ldutils.pro -spec linux-g++
%make_build
%make_install

export INSTALL_ROOT=%{buildroot}%{_prefix}

cd ../zombietrackergps-v_%{version}
# Fix compilation error in GeoPainter.h
%if 0%{?mageia} < 9
mkdir marble
cp -f %{SOURCE2} marble/GeoPainter.h
%endif
%{qmake_qt5} -o Makefile ZombieTrackerGPS.pro -spec linux-g++
%make_build
cd -

%install
cd ../zombietrackergps-v_%{version}
%make_install
cp -v build/rcc/*.rcc ${RPM_BUILD_ROOT}%{_datadir}/zombietrackergps/
cd -

%files
%dir %{_docdir}/zombietrackergps
%license %{_docdir}/zombietrackergps/copyright
%{_bindir}/zombietrackergps
%{_datarootdir}/applications/zombietrackergps.desktop
%{_datadir}/zombietrackergps/docs/
%{_datadir}/zombietrackergps/geoloc/
%dir %{_datadir}/zombietrackergps
%{_datadir}/zombietrackergps/pubkey.asc
%{_datadir}/zombietrackergps/sample/
%{_datadir}/zombietrackergps/zombietrackergps.png
%{_datadir}/zombietrackergps/*.rcc

%changelog
* Sat Dec 4 2021 Philippe Makowski <makowski@fedoraproject.org> - 1.10-2
- Spec for Fedora and Mageia

* Fri Dec 3 2021 Philippe Makowski <makowski@fedoraproject.org> - 1.10-1
- version 1.10

* Thu Sep 2 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.0.9-3
- Use forge macros

* Thu Sep 2 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.0.9-2
- Use pkgconfig where possible

* Sat Jul 31 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.0.9-1
- Initial specfile
